Bug 102844 - net/gq: /libexec/ld-elf.so.1: /usr/local/lib/libgthread-2.0.so.0: Undefined symbol "pthread_getschedparam"
Summary: net/gq: /libexec/ld-elf.so.1: /usr/local/lib/libgthread-2.0.so.0: Undefined s...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-04 12:10 UTC by vova
Modified: 2006-09-16 22:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vova 2006-09-04 12:10:22 UTC

gq-1.0.0,1
net/gq 

%  gq
GTK Accessibility Module initialized
/libexec/ld-elf.so.1: /usr/local/lib/libgthread-2.0.so.0: Undefined symbol "pthread_getschedparam"
%

similar report about gvim:

http://www.freebsd.org/cgi/query-pr.cgi?pr=101458
http://www.freebsd.org/cgi/query-pr.cgi?pr=102843

looks like linking problem

Fix: 

No fix, only workaround:
env LD_PRELOAD=/usr/lib/libc_r.so gq
How-To-Repeat: 

just run gq build on 7-CURRENT.
Comment 1 Edwin Groothuis freebsd_committer 2006-09-04 12:10:43 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 vova 2006-09-04 20:57:45 UTC
=F7 =D0=CE, 04/09/2006 =D7 11:10 +0000, FreeBSD-gnats-submit@FreeBSD.org =
=D0=C9=DB=C5=D4:

patch here:

Index: Makefile
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /usr/ncvs/ports/net/gq/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- Makefile    21 May 2006 12:33:35 -0000      1.33
+++ Makefile    4 Sep 2006 19:51:24 -0000
@@ -46,4 +46,7 @@
 CONFIGURE_ARGS+=3D       --enable-cache
 .endif
=20
+CONFIGURE_ENV=3D         CPPFLAGS=3D"-I${LOCALBASE}/include" \
+               LDFLAGS=3D"-L${LOCALBASE}/lib ${PTHREAD_LIBS}"
+
 .include <bsd.port.post.mk>


--=20
Vladimir B. Grebenschikov
vova@fbsd.ru
Comment 3 dryice 2006-09-09 04:40:32 UTC
Looks gnats didn't got my last reply.

Thanks Vladimir Grebenschikov for the patch. Please the committers
commit it.


Cheers,
-- 
Dryice @ http://dryice.name

Please avoid sending me Word or PowerPoint attachments.
See http://www.gnu.org/philosophy/sylvester-response.html
Comment 4 dryice 2006-09-09 04:41:19 UTC
Looks gnats didn't got my last reply.

Thanks Vladimir Grebenschikov for the patch. Please the committers
commit it.


Cheers,
-- 
Dryice @ http://dryice.name

Please avoid sending me Word or PowerPoint attachments.
See http://www.gnu.org/philosophy/sylvester-response.html
Comment 5 Rong-En Fan freebsd_committer 2006-09-16 16:38:39 UTC
State Changed
From-To: feedback->closed

Patch included in ports/102844.
Comment 6 dfilter service freebsd_committer 2006-09-16 22:34:43 UTC
rafan       2006-09-16 21:33:22 UTC

  FreeBSD ports repository

  Modified files:
    net/gq               Makefile distinfo 
  Log:
  - Update to 1.0.1 [1]
  - Fix linking issues on 7.x [2]
  
  PR:             ports/103314 [1], ports/102844 [2]
  Submitted by:   Dryice Liu <dryice at dryice.name> (maintainer),
                  Vladimir Grebenschikov [2]
  
  Revision  Changes    Path
  1.34      +4 -1      ports/net/gq/Makefile
  1.10      +3 -3      ports/net/gq/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"